package com.xydl.model;

import com.fasterxml.jackson.annotation.JsonProperty;

public class SuperModel {

    /**
     * EPA
     */
    @JsonProperty("SubDeviceID")
    private String subDeviceID;

    @JsonProperty("SensorCode")
    private String sensorId;

    @JsonProperty("AcquisitionTime")
    private String dTime ;

    @JsonProperty("H2")
    private double h2ppm;

    @JsonProperty("CH4")
    private double ch4ppm;

    @JsonProperty("C2H6")
    private double c2h6ppm;

    @JsonProperty("C2H4")
    private double c2h4ppm;

    @JsonProperty("C2H2")
    private double c2h2ppm;

    @JsonProperty("CO")
    private double coppm;

    @JsonProperty("CO2")
    private double co2ppm;

    @JsonProperty("O2")
    private double o2ppm;

    @JsonProperty("N2")
    private double n2ppm;

    @JsonProperty("TotalHydrocarbon")
    private double totalHydroCarbon;

    @JsonProperty("GasPress")
    private double gaspress;

    @JsonProperty("H2O")
    private double h2oppm;

    @JsonProperty("Phase")
    private String phase;

    /**
     * Eaif
     */

//    @JsonProperty("AcquisitionTime")
//    private String captureTime;

    @JsonProperty("MaxTmp")
    private double maxTemp;

    @JsonProperty("MinTmp")
    private double minTemp;

    @JsonProperty("AvgTmp")
    private double avgTemp;

    /**
     * Eia
     */

    /**
     * Etp
     */


//    @JsonProperty("MaxTmp")
//    private double t1;


    /**
     * Microclimate
     */


    @JsonProperty("AirTemperature")
    private double envTmp;

    @JsonProperty("AirPressure")
    private double envPres;

    @JsonProperty("Humidity")
    private double envHum;

    @JsonProperty("Precipitation")
    private double rnfll;

    @JsonProperty("PrecipitationIntensity")
    private double PreciInten = 0;

    @JsonProperty("RadiationIntensity")
    private double radiInten = 0;

    /**
     * Moa
     */


    @JsonProperty("SystemVoltage")
    private double pt1;

    @JsonProperty("TotalCurrent")
    private double lc1;

    @JsonProperty("ResistiveCurrent")
    private double rc1;

    @JsonProperty("ActionCount")
    private double ligcnt1;

    @JsonProperty("LastActionTime")
    private String lastligtm1;

    /**
     * Pd
     */


    @JsonProperty("DischargeCapacity")
    private double waveForm;

    @JsonProperty("DischargePosition")
    private double apppadsch;

    @JsonProperty("PulseCount")
    private double plsNum;

    /**
     * RptTemper
     */


//    @JsonProperty("AcquisitionTime")
//    private String createTime;

    @JsonProperty("OlTmpA")
    private double aoTemper;

    @JsonProperty("OlTmpB")
    private double boTemper;

    @JsonProperty("OlTmpC")
    private double coTemper;

    @JsonProperty("IlTmpA")
    private double aiTemper;

    @JsonProperty("IlTmpB")
    private double biTemper;

    @JsonProperty("IlTmpC")
    private double ciTemper;

    @JsonProperty("OntologyTmp")
    private double boxTemper;

    /**
     * Scur
     */


    @JsonProperty("CoreCurrent")
    private double currentVal;

    /**
     * Sf6
     */


    @JsonProperty("Temperature")
    private double temp1;

    @JsonProperty("Pressure20C")
    private double pressure1;

    @JsonProperty("AbsolutePressure")
    private double AbsolutePressure = pressure1 + 900;

    @JsonProperty("Density")
    private double md1Sf6;

    @JsonProperty("Moisture")
    private double pm1Sf6;


    /**
     * Sf6env
     */

    @JsonProperty("gas1")
    private double gas1;

    @JsonProperty("yq1")
    private double yq1;

    @JsonProperty("md1")
    private double md1;

    @JsonProperty("pm1")
    private double pm1;

    @JsonProperty("gascnt1")
    private double gascnt1;

    @JsonProperty("hmcnt1")
    private double hmcnt1;

    @JsonProperty("sf6warn1")
    private double sf6warn1;

    @JsonProperty("o2warn1")
    private double o2warn1;


}
